namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：料仓服务  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/17 15:32:17 
    /// 描    述 ：  
    /// </summary>
    public interface IStockInfoService
    { 
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(StockInfoAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(StockInfoDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(StockInfoUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<StockInfoOutput>> List();
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<StockInfoOutput>> PagedList(StockInfoQueryPageInput input);
        /// <summary>
        /// 下拉列表
        /// </summary>
        /// <returns></returns>
        Task<dynamic> SelectList();
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<StockInfoOutput> Detail(string Id);

    }
}
